Bug 428642 - Review Request: remctl - GSSAPI secured remote command execution
Review Request: remctl - GSSAPI secured remote command execution
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 05:58 EST by Simon Wilkinson
Modified: 2008-01-27 15:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 15:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-01-14 05:58:32 EST
Spec URL: http://homepages.inf.ed.ac.uk/sxw/remctl.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/remctl-2.11-1.src.rpm
Description:

remctl (the client) and remctld (the server) implement a client/server
protocol for running single commands on a remote host using Kerberos
v5 authentication and returning the output. They use a very simple
GSS-API-authenticated network protocol, combined with server-side ACL
support and a server configuration file that maps remctl commands to
programs that should be run when that command is called by an
authorised user.

This is my first package, and I'm in need of a sponsor. Thanks!
Comment 1 Mamoru TASAKA 2008-01-18 13:05:03 EST
Well, I have only did a quick glance at your spec file
as rebuild failed on dist-f9.
For general packaging guidelines, please refer to
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

? Disttag
  - Please consider to use %{?dist} tag.
    http://fedoraproject.org/wiki/Packaging/DistTag

* Missing BR
  - Rebuild failed on dist-f9.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=357485
    From build.log, at least 'perl(ExtUtils::MakeMaker)' is
    missing from BuildRequires.

  ! Note
    'perl(ExtUtils::MakeMaker)' is provides by perl-ExtUtils-MakeMaker
    rpm, however for perl modules dependency please don't write the
    rpm names but write the module names needed.
    ref:
    http://fedoraproject.org/wiki/Packaging/Perl

* Setup
  - Please make %setup quiet.

* Man pages section
  - Usually man pages with section 3 are for the explanation of
    libraries/functions and they should be in -devel subpackage.
Comment 2 Simon Wilkinson 2008-01-22 14:38:55 EST
>For general packaging guidelines, please refer to

I'd read both of these before submitting these spec files.

>Disttag

The spec file I supplied already uses the distag as detailed in the document you reference - am I 
missing something?

> Missing BR

Fixed. I've verified that the new specfile builds on f9 using mock.

> Setup

I've made setup quiet

> Man pages section

I've moved the section 3 manpages to the -devel subpackage.

Updated SRPM, and spec are at

Spec URL: http://homepages.inf.ed.ac.uk/sxw/remctl.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/remctl-2.11-2.src.rpm

Thanks for taking a look!

Comment 3 Mamoru TASAKA 2008-01-23 09:20:21 EST
For 2.11-2:

* rpmlint issues:
-------------------------------------------------------------------
[tasaka1@localhost remctl]$ rpmlint remctl remctl-devel remctl-perl
remctl.i386: E: library-without-ldconfig-postin /usr/lib/libremctl.so.1.0.1
remctl.i386: E: library-without-ldconfig-postun /usr/lib/libremctl.so.1.0.1
remctl.i386: W: unused-direct-shlib-dependency /usr/lib/libremctl.so.1.0.1
/usr/lib/libkrb5.so.3
remctl.i386: W: unused-direct-shlib-dependency /usr/lib/libremctl.so.1.0.1
/usr/lib/libk5crypto.so.3
remctl.i386: W: unused-direct-shlib-dependency /usr/lib/libremctl.so.1.0.1
/lib/libcom_err.so.2
remctl-perl.i386: E: non-standard-executable-perm
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Net/Remctl/Remctl.so
0555
-------------------------------------------------------------------
  Summary:
  - /sbin/ldconfig mustt be run on %post, %postun in remtcl package.
  - The permission of Remctl.so must be 0755, not 0555
    ! Please fix the permission by using "chmod" in %install, not
      by using %attr(...).

* manfiles
  - Files under %_mandir are automatically marked as %doc.

* Timestamps
  - To keep timestamps, I recommend to use
--------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
--------------------------------------------------------------------
    This usually works for recent autotool-based Makefiles.

* Undesirably owned directories
--------------------------------------------------------------------
%files perl
%{perl_vendorarch}/*
--------------------------------------------------------------------
  - This is not allowed because the directory %perl_vendorarch/auto is 
    already owned by perl.

Comment 4 Simon Wilkinson 2008-01-23 13:15:30 EST
> rpmlint
Now resolved. Sorry that I'd missed these. I've added ldconfig to %post and %postun for both remctl and 
remctl-devel. rpmlint is now clean

> manfiles
I've removed the %doc directives

> Timestamps
I've fixed the timestamps

> Undesireably owned directories

remctl-perl now owns:
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Net/Remctl.pm
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Net/Remctl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Net/Remctl/Remctl.so
/usr/share/man/man3/Net::Remctl.3pm.gz

Spec URL: http://homepages.inf.ed.ac.uk/sxw/remctl.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/remctl-2.11-3.src.rpm

Thanks again!

Simon.

Comment 5 Mamoru TASAKA 2008-01-24 09:39:54 EST
For 2.11-3:

* ldconfig for -devel
  - For remctl-devel subpackge, calling /sbin/ldconfig is not
    needed

* Again directory ownership issue
  - Well, actually I am not sure what package should own the followng
    package:
------------------------------------------------------------
%{perl_vendorarch}/Net/
%{perl_vendorarch}/auto/Net
------------------------------------------------------------
    On my system these directories are owned by other packages,
    however they are not needed for remctl-perl.
    IMO remctl-perl should own these directories, too (for now).

* Permission
  - Well, I didn't notice this, however modify the permissions of the
    following files to 0644.
-------------------------------------------------------------
%{perl_vendorarch}/Net/Remctl.pm
%{_mandir}/man3/Net::Remctl.3pm*
-------------------------------------------------------------

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 6 Simon Wilkinson 2008-01-27 09:57:43 EST
A new version of the remctl spec, and SRPM addressing these issues is available at:
Spec URL: http://homepages.inf.ed.ac.uk/sxw/remctl.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/remctl-2.11-4.src.rpm

I've placed a review request for another of our local packages for consideration in bug #430399 - 
hopefully that's got fewer issues than this one had!

I've also done a package pre-review - for bug #430366

Thanks again for your time...

Comment 7 Mamoru TASAKA 2008-01-27 10:06:07 EST
(In reply to comment #6)
> SRPM URL: http://homepages.inf.ed.ac.uk/sxw/remctl-2.11-4.src.rpm

This seems 404 (not found).
Comment 8 Simon Wilkinson 2008-01-27 10:13:51 EST
Sorry - now fixed.


Comment 9 Mamoru TASAKA 2008-01-27 10:51:20 EST
Great

- This package itself is now okay.
- Your another review request and your pre-review seems good from
  my very quick glance.

--------------------------------------------------------------------------
    This package (remctl) is APPROVED by me
--------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 10 Simon Wilkinson 2008-01-27 12:40:47 EST
I've requested sponsorship.

My FAS name is 'sxw'

Thanks again!
Comment 11 Mamoru TASAKA 2008-01-27 12:43:24 EST
Now I should be sponsoring you. Please follow "Join" wiki
again.
Comment 12 Simon Wilkinson 2008-01-27 13:34:07 EST
New Package CVS Request
=======================
Package Name: remctl
Short Description: GSSAPI secured remote command execution
Owners: sxw
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-01-27 14:26:45 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.